module shp_tr_close_m

  implicit none

contains

  subroutine shp_tr_close(hshp)

    ! Libraries:
    use shapelib, only: shpclose

    use derived_types, only: shp_tr

    TYPE(shp_tr), intent(inout):: hshp

    !-------------------------------------------------------------

    CALL shpclose(hshp%extremum)
    CALL shpclose(hshp%outermost)
    CALL shpclose(hshp%max_speed)

  end subroutine shp_tr_close
  
end module shp_tr_close_m
